function printTemp(allStars, starName, constellation)
% printTemp(allStars, starName, constellation)
% given an input vector of structures with information about stars, an
% input star name and constellation, prints the temperature of the input 
% star. The message 'star not found' is printed if the star is not found.
% Two solutions are given here, using a for loop and a while loop

% solution using a for loop and break
found = 0;          % will be set to 1 if star is found
for i = 1:length(allStars)
    if (strcmp(allStars(i).name, starName) & strcmp(allStars(i).const, constellation))
        % if star name and constellation are found, print temperature
        disp(['temperature of star: ' num2str(allStars(i).temp)]);
        found = 1;
        break
    end
end
if (found == 0)
    disp('star not found')
end

% solution using a while loop 
i = 1;
% while there are still more stars to check and the input star and 
% constellation have not veeb found, increment i (to keep searching)
while ((i <= length(allStars)) & ...
        ~(strcmp(allStars(i).name, starName) & strcmp(allStars(i).const, constellation)))
    i = i + 1;
end
% if the star and constellation were not found, then the while loop ended
% with the index i set to length(allStars)+1
if (i <= length(allStars))
    disp(['temperature of star: ' num2str(allStars(i).temp)])
else
    disp('star not found')
end


